Bug 1093179 - vsftpd using service template file in pre/postun
vsftpd using service template file in pre/postun
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Peter Simons
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-14 16:27 UTC by Ruediger Oertel
Modified: 2021-06-23 12:16 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ruediger Oertel 2018-05-14 16:27:18 UTC
%service_add_pre %{name}.service %{name}@.service %{name}.socket
%service_del_preun %{name}.service %{name}@.service %{name}.socket
%service_add_post %{name}.service %{name}@.service %{name}.socket
%service_del_postun %{name}.service %{name}@.service %{name}.socket

a service template (foo@.service) can only be used with a parameter
on the commandline but will not work in the specfile without the parameter.

see also https://discourse.nordisch.org/t/hooking-up-instantiated-services-with-rpm/476
Comment 1 Peter Simons 2018-05-16 15:41:20 UTC
Fixed by https://build.opensuse.org/request/show/609848.
Comment 6 Swamp Workflow Management 2018-08-03 19:23:13 UTC
SUSE-RU-2018:2191-1: An update that has four recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1010177,1075060,1093179,975538
CVE References: 
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    vsftpd-3.0.2-40.8.1
Comment 7 Swamp Workflow Management 2018-08-07 22:10:19 UTC
SUSE-RU-2018:2244-1: An update that has four recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1010177,1075060,1093179,975538
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15 (src):    vsftpd-3.0.3-7.7.9
Comment 8 Swamp Workflow Management 2018-08-08 22:19:59 UTC
openSUSE-RU-2018:2256-1: An update that has four recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1010177,1075060,1093179,975538
CVE References: 
Sources used:
openSUSE Leap 42.3 (src):    vsftpd-3.0.2-28.1
Comment 9 Swamp Workflow Management 2018-08-09 22:08:42 UTC
openSUSE-RU-2018:2279-1: An update that has four recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1010177,1075060,1093179,975538
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    vsftpd-3.0.3-lp150.5.6.1